// Pinyin_DemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Pinyin_Demo.h"
#include "Pinyin_DemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CPinyin_DemoDlg dialog




CPinyin_DemoDlg::CPinyin_DemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPinyin_DemoDlg::IDD, pParent)
	, m_iDuoyinzi(FALSE)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CPinyin_DemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_CHECK1, m_iDuoyinzi);
}

BEGIN_MESSAGE_MAP(CPinyin_DemoDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, &CPinyin_DemoDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CPinyin_DemoDlg::OnBnClickedCancel)
	ON_WM_CLOSE()
END_MESSAGE_MAP()


// CPinyin_DemoDlg message handlers

BOOL CPinyin_DemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	GetDlgItem(IDC_EDIT1)->SetWindowText( _T("SPdexطָ طָĿǰʤλͣ˾ƽ棬spĿǰʤռš") );
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPinyin_DemoDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPinyin_DemoDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

#include "Pinyin.h" 
void CPinyin_DemoDlg::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here
	//OnOK();
	CPinyin py;
	CString hz;
	GetDlgItem(IDC_EDIT1)->GetWindowText(hz);
	UpdateData(1);
	DWORD s = GetTickCount();
	CString strPY = py.toPinyin(hz,m_iDuoyinzi);
	DWORD e = GetTickCount();
	CString str;
	str.Format(_T("%ld ms\r\n"), e - s );
	strPY = str + strPY;
	GetDlgItem(IDC_EDIT2)->SetWindowText( strPY );
}

void CPinyin_DemoDlg::OnBnClickedCancel()
{
	// TODO: Add your control notification handler code here
	//OnCancel();
}

void CPinyin_DemoDlg::OnClose()
{
	// TODO: Add your message handler code here and/or call default
	OnOK();
	//CDialog::OnClose();
}
